GDB (xrefs)

Public Attributes | List of all members
gdbpy_worker_data Struct Reference

## Public Attributes
PyObject * | worker
PyObject * | this_type

## Detailed Description

Definition at line 40 of file py-xmethods.c.

## Member Data Documentation

## ◆ this_type

PyObject* gdbpy_worker_data::this_type

Definition at line 43 of file py-xmethods.c.

Referenced by gdbpy_clone_xmethod_worker_data(), gdbpy_free_xmethod_worker_data(), gdbpy_get_xmethod_arg_types(), gdbpy_get_xmethod_result_type(), gdbpy_invoke_xmethod(), and new_python_xmethod_worker().

## ◆ worker

PyObject* gdbpy_worker_data::worker

Definition at line 42 of file py-xmethods.c.

Referenced by gdbpy_clone_xmethod_worker_data(), gdbpy_free_xmethod_worker_data(), gdbpy_get_xmethod_arg_types(), gdbpy_get_xmethod_result_type(), gdbpy_invoke_xmethod(), and new_python_xmethod_worker().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-xmethods.c